Skip to main content
GET
/
media
List media
curl --request GET \
  --url https://api.woopsocial.com/v1/media \
  --header 'Authorization: Bearer <token>'
{
  "media": [
    {
      "id": "<string>",
      "projectId": "<string>",
      "mediaType": "IMAGE",
      "url": "<string>",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "nextCursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.woopsocial.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

projectId
string

Filter to resources that belong to a specific project.

mediaId
string[]

Filter to one or more media items. Provide a comma-separated list of media IDs.

limit
integer<int32>
default:50

Number of items to return.

Required range: 1 <= x <= 100
cursor
string

Opaque cursor for the next page of results.

Response

200 - application/json

Media items.

media
object[]
required
nextCursor
string

Opaque cursor for the next page of results. Omitted when there are no more results.